org.apache.ode.bpel.dd

## Interface TCleanup

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TCleanupImpl

      public interface TCleanup
      extends org.apache.xmlbeans.XmlObject

  An XML tCleanup(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TCleanup.Category` An XML category(@http://www.apache.org/ode/schemas/dd/2007/03).
    `static class` | `TCleanup.Factory` A factory class with static methods for creating instances of this type.
    `static interface` | `TCleanup.On` An XML on(@).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCategory(TCleanup.Category.Enum category)` Appends the value as the last "category" element
    `void` | `addFilter(java.lang.String filter)` Appends the value as the last "filter" element
    `TCleanup.Category` | `addNewCategory()` Appends and returns a new empty value (as xml) as the last "category" element
    `org.apache.xmlbeans.XmlString` | `addNewFilter()` Appends and returns a new empty value (as xml) as the last "filter" element
    `TCleanup.Category.Enum[]` | `getCategoryArray()` Deprecated.
    `TCleanup.Category.Enum` | `getCategoryArray(int i)` Gets ith "category" element
    `java.util.List<TCleanup.Category.Enum>` | `getCategoryList()` Gets a List of "category" elements
    `java.lang.String[]` | `getFilterArray()` Deprecated.
    `java.lang.String` | `getFilterArray(int i)` Gets ith "filter" element
    `java.util.List<java.lang.String>` | `getFilterList()` Gets a List of "filter" elements
    `TCleanup.On.Enum` | `getOn()` Gets the "on" attribute
    `void` | `insertCategory(int i, TCleanup.Category.Enum category)` Inserts the value as the ith "category" element
    `void` | `insertFilter(int i, java.lang.String filter)` Inserts the value as the ith "filter" element
    `TCleanup.Category` | `insertNewCategory(int i)` Inserts and returns a new empty value (as xml) as the ith "category" element
    `org.apache.xmlbeans.XmlString` | `insertNewFilter(int i)` Inserts and returns a new empty value (as xml) as the ith "filter" element
    `boolean` | `isSetOn()` True if has "on" attribute
    `void` | `removeCategory(int i)` Removes the ith "category" element
    `void` | `removeFilter(int i)` Removes the ith "filter" element
    `void` | `setCategoryArray(int i, TCleanup.Category.Enum category)` Sets ith "category" element
    `void` | `setCategoryArray(TCleanup.Category.Enum[] categoryArray)` Sets array of all "category" element
    `void` | `setFilterArray(int i, java.lang.String filter)` Sets ith "filter" element
    `void` | `setFilterArray(java.lang.String[] filterArray)` Sets array of all "filter" element
    `void` | `setOn(TCleanup.On.Enum on)` Sets the "on" attribute
    `int` | `sizeOfCategoryArray()` Returns number of "category" element
    `int` | `sizeOfFilterArray()` Returns number of "filter" element
    `void` | `unsetOn()` Unsets the "on" attribute
    `TCleanup.Category[]` | `xgetCategoryArray()` Deprecated.
    `TCleanup.Category` | `xgetCategoryArray(int i)` Gets (as xml) ith "category" element
    `java.util.List<TCleanup.Category>` | `xgetCategoryList()` Gets (as xml) a List of "category" elements
    `org.apache.xmlbeans.XmlString[]` | `xgetFilterArray()` Deprecated.
    `org.apache.xmlbeans.XmlString` | `xgetFilterArray(int i)` Gets (as xml) ith "filter" element
    `java.util.List<org.apache.xmlbeans.XmlString>` | `xgetFilterList()` Gets (as xml) a List of "filter" elements
    `TCleanup.On` | `xgetOn()` Gets (as xml) the "on" attribute
    `void` | `xsetCategoryArray(int i, TCleanup.Category category)` Sets (as xml) ith "category" element
    `void` | `xsetCategoryArray(TCleanup.Category[] categoryArray)` Sets (as xml) array of all "category" element
    `void` | `xsetFilterArray(int i, org.apache.xmlbeans.XmlString filter)` Sets (as xml) ith "filter" element
    `void` | `xsetFilterArray(org.apache.xmlbeans.XmlString[] filterArray)` Sets (as xml) array of all "filter" element
    `void` | `xsetOn(TCleanup.On on)` Sets (as xml) the "on" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getCategoryList

          java.util.List<TCleanup.Category.Enum> getCategoryList()

      Gets a List of "category" elements

    - #### getCategoryArray

          @Deprecated
          TCleanup.Category.Enum[] getCategoryArray()

      Deprecated.
      Gets array of all "category" elements

    - #### getCategoryArray

          TCleanup.Category.Enum getCategoryArray(int i)

      Gets ith "category" element

    - #### xgetCategoryList

          java.util.List<TCleanup.Category> xgetCategoryList()

      Gets (as xml) a List of "category" elements

    - #### xgetCategoryArray

          @Deprecated
          TCleanup.Category[] xgetCategoryArray()

      Deprecated.
      Gets (as xml) array of all "category" elements

    - #### xgetCategoryArray

          TCleanup.Category xgetCategoryArray(int i)

      Gets (as xml) ith "category" element

    - #### sizeOfCategoryArray

          int sizeOfCategoryArray()

      Returns number of "category" element

    - #### setCategoryArray

          void setCategoryArray(TCleanup.Category.Enum[] categoryArray)

      Sets array of all "category" element

    - #### setCategoryArray

          void setCategoryArray(int i,
                              TCleanup.Category.Enum category)

      Sets ith "category" element

    - #### xsetCategoryArray

          void xsetCategoryArray(TCleanup.Category[] categoryArray)

      Sets (as xml) array of all "category" element

    - #### xsetCategoryArray

          void xsetCategoryArray(int i,
                               TCleanup.Category category)

      Sets (as xml) ith "category" element

    - #### insertCategory

          void insertCategory(int i,
                            TCleanup.Category.Enum category)

      Inserts the value as the ith "category" element

    - #### addCategory

          void addCategory(TCleanup.Category.Enum category)

      Appends the value as the last "category" element

    - #### insertNewCategory

          TCleanup.Category insertNewCategory(int i)

      Inserts and returns a new empty value (as xml) as the ith "category" element

    - #### addNewCategory

          TCleanup.Category addNewCategory()

      Appends and returns a new empty value (as xml) as the last "category" element

    - #### removeCategory

          void removeCategory(int i)

      Removes the ith "category" element

    - #### getFilterList

          java.util.List<java.lang.String> getFilterList()

      Gets a List of "filter" elements

    - #### getFilterArray

          @Deprecated
          java.lang.String[] getFilterArray()

      Deprecated.
      Gets array of all "filter" elements

    - #### getFilterArray

          java.lang.String getFilterArray(int i)

      Gets ith "filter" element

    - #### xgetFilterList

          java.util.List<org.apache.xmlbeans.XmlString> xgetFilterList()

      Gets (as xml) a List of "filter" elements

    - #### xgetFilterArray

          @Deprecated
          org.apache.xmlbeans.XmlString[] xgetFilterArray()

      Deprecated.
      Gets (as xml) array of all "filter" elements

    - #### xgetFilterArray

          org.apache.xmlbeans.XmlString xgetFilterArray(int i)

      Gets (as xml) ith "filter" element

    - #### sizeOfFilterArray

          int sizeOfFilterArray()

      Returns number of "filter" element

    - #### setFilterArray

          void setFilterArray(java.lang.String[] filterArray)

      Sets array of all "filter" element

    - #### setFilterArray

          void setFilterArray(int i,
                            java.lang.String filter)

      Sets ith "filter" element

    - #### xsetFilterArray

          void xsetFilterArray(org.apache.xmlbeans.XmlString[] filterArray)

      Sets (as xml) array of all "filter" element

    - #### xsetFilterArray

          void xsetFilterArray(int i,
                             org.apache.xmlbeans.XmlString filter)

      Sets (as xml) ith "filter" element

    - #### insertFilter

          void insertFilter(int i,
                          java.lang.String filter)

      Inserts the value as the ith "filter" element

    - #### addFilter

          void addFilter(java.lang.String filter)

      Appends the value as the last "filter" element

    - #### insertNewFilter

          org.apache.xmlbeans.XmlString insertNewFilter(int i)

      Inserts and returns a new empty value (as xml) as the ith "filter" element

    - #### addNewFilter

          org.apache.xmlbeans.XmlString addNewFilter()

      Appends and returns a new empty value (as xml) as the last "filter" element

    - #### removeFilter

          void removeFilter(int i)

      Removes the ith "filter" element

    - #### getOn

          TCleanup.On.Enum getOn()

      Gets the "on" attribute

    - #### xgetOn

          TCleanup.On xgetOn()

      Gets (as xml) the "on" attribute

    - #### isSetOn

          boolean isSetOn()

      True if has "on" attribute

    - #### setOn

          void setOn(TCleanup.On.Enum on)

      Sets the "on" attribute

    - #### xsetOn

          void xsetOn(TCleanup.On on)

      Sets (as xml) the "on" attribute

    - #### unsetOn

          void unsetOn()

      Unsets the "on" attribute